Package com.independentsoft.office.vml

# Class RoundedRectangle

java.lang.Object
com.independentsoft.office.vml.RoundedRectangle

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IVmlElement`

public class RoundedRectangle extends Object implements IVmlElement, IGroupElement
The Class RoundedRectangle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoundedRectangle()`
  Instantiates a new rounded rectangle.
  `RoundedRectangle​(InternalXMLStreamReader reader)`
  Instantiates a new rounded rectangle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RoundedRectangle`
  `clone()`
  `boolean`
  `existsInMasterSlide()`
  Exists in master slide.
  `String`
  `getAlternateText()`
  Gets the alternate text.
  `BlackWhiteMode`
  `getBlackWhiteMode()`
  Gets the black white mode.
  `String`
  `getBottomBorderColor()`
  Gets the bottom border color.
  `String`
  `getBoundingPolygon()`
  Gets the bounding polygon.
  `String`
  `getChromaKey()`
  Gets the chroma key.
  `ConnectorType`
  `getConnectorType()`
  Gets the connector type.
  `List<IShapeElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getCoordinateSpaceOrigin()`
  Gets the coordinate space origin.
  `String`
  `getCoordinateSpaceSize()`
  Gets the coordinate space size.
  `String`
  `getCssReference()`
  Gets the css reference.
  `int`
  `getDiagramNodeID()`
  Gets the diagram node id.
  `int`
  `getDiagramNodeLayoutID()`
  Gets the diagram node layout id.
  `int`
  `getDiagramNodeRecentLayoutID()`
  Gets the diagram node recent layout id.
  `String`
  `getFillColor()`
  Gets the fill color.
  `HorizontalAlignmentType`
  `getHorizontalRuleAlignment()`
  Gets the horizontal rule alignment.
  `double`
  `getHorizontalRuleLengthPercentage()`
  Gets the horizontal rule length percentage.
  `String`
  `getHyperlinkTarget()`
  Gets the hyperlink target.
  `String`
  `getID()`
  Gets the id.
  `String`
  `getLeftBorderColor()`
  Gets the left border color.
  `BlackWhiteMode`
  `getNormalBlackWhiteMode()`
  Gets the normal black white mode.
  `String`
  `getOpacity()`
  Gets the opacity.
  `double`
  `getOptionalNumberID()`
  Gets the optional number id.
  `String`
  `getOptionalStringID()`
  Gets the optional string id.
  `BlackWhiteMode`
  `getPureBlackWhiteMode()`
  Gets the pure black white mode.
  `int`
  `getRegroupID()`
  Gets the regroup id.
  `String`
  `getRightBorderColor()`
  Gets the right border color.
  `String`
  `getRoundedCornerArcSize()`
  Gets the rounded corner arc size.
  `String`
  `getStrokeColor()`
  Gets the stroke color.
  `String`
  `getStrokeWeight()`
  Gets the stroke weight.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `String`
  `getTarget()`
  Gets the target.
  `InsetMode`
  `getTextInsetMode()`
  Gets the text inset mode.
  `String`
  `getTitle()`
  Gets the title.
  `String`
  `getTopBorderColor()`
  Gets the top border color.
  `boolean`
  `hasEnableButtonPressBehavior()`
  Checks for enable button press behavior.
  `boolean`
  `hasEnableClipping()`
  Checks for enable clipping.
  `boolean`
  `hasEnableDoubleClickNotification()`
  Checks for enable double click notification.
  `boolean`
  `hasEnableHorizontalRule3DShading()`
  Checks for enable horizontal rule3 d shading.
  `boolean`
  `hasEnableHorizontalRuleStandardDisplay()`
  Checks for enable horizontal rule standard display.
  `boolean`
  `isAllowInCell()`
  Checks if is allow in cell.
  `boolean`
  `isAllowOverlap()`
  Checks if is allow overlap.
  `boolean`
  `isClipToWrap()`
  Checks if is clip to wrap.
  `boolean`
  `isDisplayEmbeddedObjectAsIcon()`
  Checks if is display embedded object as icon.
  `boolean`
  `isEmbeddedObject()`
  Checks if is embedded object.
  `boolean`
  `isFilled()`
  Checks if is filled.
  `boolean`
  `isForceDash()`
  Checks if is force dash.
  `boolean`
  `isGraphicalBullet()`
  Checks if is graphical bullet.
  `boolean`
  `isHideScriptAnchor()`
  Checks if is hide script anchor.
  `boolean`
  `isHideShapeHandle()`
  Checks if is hide shape handle.
  `boolean`
  `isHorizontalRule()`
  Checks if is horizontal rule.
  `boolean`
  `isInsetBorderFromPath()`
  Checks if is inset border from path.
  `boolean`
  `isPreferRelativeResize()`
  Checks if is prefer relative resize.
  `boolean`
  `isPrint()`
  Checks if is prints the.
  `boolean`
  `isStroked()`
  Checks if is stroked.
  `void`
  `setAllowInCell​(boolean allowInCell)`
  Sets the allow in cell.
  `void`
  `setAllowOverlap​(boolean allowOverlap)`
  Sets the allow overlap.
  `void`
  `setAlternateText​(String alternateText)`
  Sets the alternate text.
  `void`
  `setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)`
  Sets the black white mode.
  `void`
  `setBottomBorderColor​(String bottomBorderColor)`
  Sets the bottom border color.
  `void`
  `setBoundingPolygon​(String boundingPolygon)`
  Sets the bounding polygon.
  `void`
  `setChromaKey​(String chromaKey)`
  Sets the chroma key.
  `void`
  `setClipToWrap​(boolean clipToWrap)`
  Sets the clip to wrap.
  `void`
  `setConnectorType​(ConnectorType connectorType)`
  Sets the connector type.
  `void`
  `setCoordinateSpaceOrigin​(String coordinateSpaceOrigin)`
  Sets the coordinate space origin.
  `void`
  `setCoordinateSpaceSize​(String coordinateSpaceSize)`
  Sets the coordinate space size.
  `void`
  `setCssReference​(String cssReference)`
  Sets the css reference.
  `void`
  `setDiagramNodeID​(int diagramNodeID)`
  Sets the diagram node id.
  `void`
  `setDiagramNodeLayoutID​(int diagramNodeLayoutID)`
  Sets the diagram node layout id.
  `void`
  `setDiagramNodeRecentLayoutID​(int diagramNodeRecentLayoutID)`
  Sets the diagram node recent layout id.
  `void`
  `setDisplayEmbeddedObjectAsIcon​(boolean displayEmbeddedObjectAsIcon)`
  Sets the display embedded object as icon.
  `void`
  `setEmbeddedObject​(boolean isEmbeddedObject)`
  Sets the embedded object.
  `void`
  `setEnableButtonPressBehavior​(boolean enableButtonPressBehavior)`
  Sets the enable button press behavior.
  `void`
  `setEnableClipping​(boolean enableClipping)`
  Sets the enable clipping.
  `void`
  `setEnableDoubleClickNotification​(boolean enableDoubleClickNotification)`
  Sets the enable double click notification.
  `void`
  `setEnableHorizontalRule3DShading​(boolean enableHorizontalRule3DShading)`
  Sets the enable horizontal rule3 d shading.
  `void`
  `setEnableHorizontalRuleStandardDisplay​(boolean enableHorizontalRuleStandardDisplay)`
  Sets the enable horizontal rule standard display.
  `void`
  `setExistsInMasterSlide​(boolean existsInMasterSlide)`
  Sets the exists in master slide.
  `void`
  `setFillColor​(String fillColor)`
  Sets the fill color.
  `void`
  `setFilled​(boolean isFilled)`
  Sets the filled.
  `void`
  `setForceDash​(boolean forceDash)`
  Sets the force dash.
  `void`
  `setGraphicalBullet​(boolean isGraphicalBullet)`
  Sets the graphical bullet.
  `void`
  `setHideScriptAnchor​(boolean hideScriptAnchor)`
  Sets the hide script anchor.
  `void`
  `setHideShapeHandle​(boolean hideShapeHandle)`
  Sets the hide shape handle.
  `void`
  `setHorizontalRule​(boolean isHorizontalRule)`
  Sets the horizontal rule.
  `void`
  `setHorizontalRuleAlignment​(HorizontalAlignmentType horizontalRuleAlignment)`
  Sets the horizontal rule alignment.
  `void`
  `setHorizontalRuleLengthPercentage​(double horizontalRuleLengthPercentage)`
  Sets the horizontal rule length percentage.
  `void`
  `setHyperlinkTarget​(String hyperlinkTarget)`
  Sets the hyperlink target.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setInsetBorderFromPath​(boolean insetBorderFromPath)`
  Sets the inset border from path.
  `void`
  `setLeftBorderColor​(String leftBorderColor)`
  Sets the left border color.
  `void`
  `setNormalBlackWhiteMode​(BlackWhiteMode normalBlackWhiteMode)`
  Sets the normal black white mode.
  `void`
  `setOpacity​(String opacity)`
  Sets the opacity.
  `void`
  `setOptionalNumberID​(double optionalNumberID)`
  Sets the optional number id.
  `void`
  `setOptionalStringID​(String optionalStringID)`
  Sets the optional string id.
  `void`
  `setPreferRelativeResize​(boolean preferRelativeResize)`
  Sets the prefer relative resize.
  `void`
  `setPrint​(boolean print)`
  Sets the prints the.
  `void`
  `setPureBlackWhiteMode​(BlackWhiteMode pureBlackWhiteMode)`
  Sets the pure black white mode.
  `void`
  `setRegroupID​(int regroupID)`
  Sets the regroup id.
  `void`
  `setRightBorderColor​(String rightBorderColor)`
  Sets the right border color.
  `void`
  `setRoundedCornerArcSize​(String roundedCornerArcSize)`
  Sets the rounded corner arc size.
  `void`
  `setStrokeColor​(String strokeColor)`
  Sets the stroke color.
  `void`
  `setStroked​(boolean isStroked)`
  Sets the stroked.
  `void`
  `setStrokeWeight​(String strokeWeight)`
  Sets the stroke weight.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTarget​(String target)`
  Sets the target.
  `void`
  `setTextInsetMode​(InsetMode textInsetMode)`
  Sets the text inset mode.
  `void`
  `setTitle​(String title)`
  Sets the title.
  `void`
  `setTopBorderColor​(String topBorderColor)`
  Sets the top border color.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RoundedRectangle

    public RoundedRectangle()
    Instantiates a new rounded rectangle.

  - ### RoundedRectangle

    public RoundedRectangle​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new rounded rectangle.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public RoundedRectangle clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRoundedCornerArcSize

    public String getRoundedCornerArcSize()
    Gets the rounded corner arc size.
    Returns:
      the rounded corner arc size

  - ### setRoundedCornerArcSize

    public void setRoundedCornerArcSize​(String roundedCornerArcSize)
    Sets the rounded corner arc size.
    Parameters:
      `roundedCornerArcSize` - the new rounded corner arc size

  - ### isAllowInCell

    public boolean isAllowInCell()
    Checks if is allow in cell.
    Returns:
      true, if is allow in cell

  - ### setAllowInCell

    public void setAllowInCell​(boolean allowInCell)
    Sets the allow in cell.
    Parameters:
      `allowInCell` - the new allow in cell

  - ### isAllowOverlap

    public boolean isAllowOverlap()
    Checks if is allow overlap.
    Returns:
      true, if is allow overlap

  - ### setAllowOverlap

    public void setAllowOverlap​(boolean allowOverlap)
    Sets the allow overlap.
    Parameters:
      `allowOverlap` - the new allow overlap

  - ### getAlternateText

    public String getAlternateText()
    Gets the alternate text.
    Returns:
      the alternate text

  - ### setAlternateText

    public void setAlternateText​(String alternateText)
    Sets the alternate text.
    Parameters:
      `alternateText` - the new alternate text

  - ### getBottomBorderColor

    public String getBottomBorderColor()
    Gets the bottom border color.
    Returns:
      the bottom border color

  - ### setBottomBorderColor

    public void setBottomBorderColor​(String bottomBorderColor)
    Sets the bottom border color.
    Parameters:
      `bottomBorderColor` - the new bottom border color

  - ### getLeftBorderColor

    public String getLeftBorderColor()
    Gets the left border color.
    Returns:
      the left border color

  - ### setLeftBorderColor

    public void setLeftBorderColor​(String leftBorderColor)
    Sets the left border color.
    Parameters:
      `leftBorderColor` - the new left border color

  - ### getRightBorderColor

    public String getRightBorderColor()
    Gets the right border color.
    Returns:
      the right border color

  - ### setRightBorderColor

    public void setRightBorderColor​(String rightBorderColor)
    Sets the right border color.
    Parameters:
      `rightBorderColor` - the new right border color

  - ### getTopBorderColor

    public String getTopBorderColor()
    Gets the top border color.
    Returns:
      the top border color

  - ### setTopBorderColor

    public void setTopBorderColor​(String topBorderColor)
    Sets the top border color.
    Parameters:
      `topBorderColor` - the new top border color

  - ### isGraphicalBullet

    public boolean isGraphicalBullet()
    Checks if is graphical bullet.
    Returns:
      true, if is graphical bullet

  - ### setGraphicalBullet

    public void setGraphicalBullet​(boolean isGraphicalBullet)
    Sets the graphical bullet.
    Parameters:
      `isGraphicalBullet` - the new graphical bullet

  - ### hasEnableButtonPressBehavior

    public boolean hasEnableButtonPressBehavior()
    Checks for enable button press behavior.
    Returns:
      true, if successful

  - ### setEnableButtonPressBehavior

    public void setEnableButtonPressBehavior​(boolean enableButtonPressBehavior)
    Sets the enable button press behavior.
    Parameters:
      `enableButtonPressBehavior` - the new enable button press behavior

  - ### getBlackWhiteMode

    public BlackWhiteMode getBlackWhiteMode()
    Gets the black white mode.
    Returns:
      the black white mode

  - ### setBlackWhiteMode

    public void setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)
    Sets the black white mode.
    Parameters:
      `blackWhiteMode` - the new black white mode

  - ### getNormalBlackWhiteMode

    public BlackWhiteMode getNormalBlackWhiteMode()
    Gets the normal black white mode.
    Returns:
      the normal black white mode

  - ### setNormalBlackWhiteMode

    public void setNormalBlackWhiteMode​(BlackWhiteMode normalBlackWhiteMode)
    Sets the normal black white mode.
    Parameters:
      `normalBlackWhiteMode` - the new normal black white mode

  - ### getPureBlackWhiteMode

    public BlackWhiteMode getPureBlackWhiteMode()
    Gets the pure black white mode.
    Returns:
      the pure black white mode

  - ### setPureBlackWhiteMode

    public void setPureBlackWhiteMode​(BlackWhiteMode pureBlackWhiteMode)
    Sets the pure black white mode.
    Parameters:
      `pureBlackWhiteMode` - the new pure black white mode

  - ### getChromaKey

    public String getChromaKey()
    Gets the chroma key.
    Returns:
      the chroma key

  - ### setChromaKey

    public void setChromaKey​(String chromaKey)
    Sets the chroma key.
    Parameters:
      `chromaKey` - the new chroma key

  - ### getCssReference

    public String getCssReference()
    Gets the css reference.
    Returns:
      the css reference

  - ### setCssReference

    public void setCssReference​(String cssReference)
    Sets the css reference.
    Parameters:
      `cssReference` - the new css reference

  - ### hasEnableClipping

    public boolean hasEnableClipping()
    Checks for enable clipping.
    Returns:
      true, if successful

  - ### setEnableClipping

    public void setEnableClipping​(boolean enableClipping)
    Sets the enable clipping.
    Parameters:
      `enableClipping` - the new enable clipping

  - ### isClipToWrap

    public boolean isClipToWrap()
    Checks if is clip to wrap.
    Returns:
      true, if is clip to wrap

  - ### setClipToWrap

    public void setClipToWrap​(boolean clipToWrap)
    Sets the clip to wrap.
    Parameters:
      `clipToWrap` - the new clip to wrap

  - ### getConnectorType

    public ConnectorType getConnectorType()
    Gets the connector type.
    Returns:
      the connector type

  - ### setConnectorType

    public void setConnectorType​(ConnectorType connectorType)
    Sets the connector type.
    Parameters:
      `connectorType` - the new connector type

  - ### getCoordinateSpaceOrigin

    public String getCoordinateSpaceOrigin()
    Gets the coordinate space origin.
    Returns:
      the coordinate space origin

  - ### setCoordinateSpaceOrigin

    public void setCoordinateSpaceOrigin​(String coordinateSpaceOrigin)
    Sets the coordinate space origin.
    Parameters:
      `coordinateSpaceOrigin` - the new coordinate space origin

  - ### getCoordinateSpaceSize

    public String getCoordinateSpaceSize()
    Gets the coordinate space size.
    Returns:
      the coordinate space size

  - ### setCoordinateSpaceSize

    public void setCoordinateSpaceSize​(String coordinateSpaceSize)
    Sets the coordinate space size.
    Parameters:
      `coordinateSpaceSize` - the new coordinate space size

  - ### getDiagramNodeLayoutID

    public int getDiagramNodeLayoutID()
    Gets the diagram node layout id.
    Returns:
      the diagram node layout id

  - ### setDiagramNodeLayoutID

    public void setDiagramNodeLayoutID​(int diagramNodeLayoutID)
    Sets the diagram node layout id.
    Parameters:
      `diagramNodeLayoutID` - the new diagram node layout id

  - ### getDiagramNodeRecentLayoutID

    public int getDiagramNodeRecentLayoutID()
    Gets the diagram node recent layout id.
    Returns:
      the diagram node recent layout id

  - ### setDiagramNodeRecentLayoutID

    public void setDiagramNodeRecentLayoutID​(int diagramNodeRecentLayoutID)
    Sets the diagram node recent layout id.
    Parameters:
      `diagramNodeRecentLayoutID` - the new diagram node recent layout id

  - ### getDiagramNodeID

    public int getDiagramNodeID()
    Gets the diagram node id.
    Returns:
      the diagram node id

  - ### setDiagramNodeID

    public void setDiagramNodeID​(int diagramNodeID)
    Sets the diagram node id.
    Parameters:
      `diagramNodeID` - the new diagram node id

  - ### hasEnableDoubleClickNotification

    public boolean hasEnableDoubleClickNotification()
    Checks for enable double click notification.
    Returns:
      true, if successful

  - ### setEnableDoubleClickNotification

    public void setEnableDoubleClickNotification​(boolean enableDoubleClickNotification)
    Sets the enable double click notification.
    Parameters:
      `enableDoubleClickNotification` - the new enable double click notification

  - ### getFillColor

    public String getFillColor()
    Gets the fill color.
    Returns:
      the fill color

  - ### setFillColor

    public void setFillColor​(String fillColor)
    Sets the fill color.
    Parameters:
      `fillColor` - the new fill color

  - ### isFilled

    public boolean isFilled()
    Checks if is filled.
    Returns:
      true, if is filled

  - ### setFilled

    public void setFilled​(boolean isFilled)
    Sets the filled.
    Parameters:
      `isFilled` - the new filled

  - ### isForceDash

    public boolean isForceDash()
    Checks if is force dash.
    Returns:
      true, if is force dash

  - ### setForceDash

    public void setForceDash​(boolean forceDash)
    Sets the force dash.
    Parameters:
      `forceDash` - the new force dash

  - ### isHorizontalRule

    public boolean isHorizontalRule()
    Checks if is horizontal rule.
    Returns:
      true, if is horizontal rule

  - ### setHorizontalRule

    public void setHorizontalRule​(boolean isHorizontalRule)
    Sets the horizontal rule.
    Parameters:
      `isHorizontalRule` - the new horizontal rule

  - ### getHorizontalRuleAlignment

    public HorizontalAlignmentType getHorizontalRuleAlignment()
    Gets the horizontal rule alignment.
    Returns:
      the horizontal rule alignment

  - ### setHorizontalRuleAlignment

    public void setHorizontalRuleAlignment​(HorizontalAlignmentType horizontalRuleAlignment)
    Sets the horizontal rule alignment.
    Parameters:
      `horizontalRuleAlignment` - the new horizontal rule alignment

  - ### getHyperlinkTarget

    public String getHyperlinkTarget()
    Gets the hyperlink target.
    Returns:
      the hyperlink target

  - ### setHyperlinkTarget

    public void setHyperlinkTarget​(String hyperlinkTarget)
    Sets the hyperlink target.
    Parameters:
      `hyperlinkTarget` - the new hyperlink target

  - ### hasEnableHorizontalRule3DShading

    public boolean hasEnableHorizontalRule3DShading()
    Checks for enable horizontal rule3 d shading.
    Returns:
      true, if successful

  - ### setEnableHorizontalRule3DShading

    public void setEnableHorizontalRule3DShading​(boolean enableHorizontalRule3DShading)
    Sets the enable horizontal rule3 d shading.
    Parameters:
      `enableHorizontalRule3DShading` - the new enable horizontal rule3 d shading

  - ### getHorizontalRuleLengthPercentage

    public double getHorizontalRuleLengthPercentage()
    Gets the horizontal rule length percentage.
    Returns:
      the horizontal rule length percentage

  - ### setHorizontalRuleLengthPercentage

    public void setHorizontalRuleLengthPercentage​(double horizontalRuleLengthPercentage)
    Sets the horizontal rule length percentage.
    Parameters:
      `horizontalRuleLengthPercentage` - the new horizontal rule length percentage

  - ### hasEnableHorizontalRuleStandardDisplay

    public boolean hasEnableHorizontalRuleStandardDisplay()
    Checks for enable horizontal rule standard display.
    Returns:
      true, if successful

  - ### setEnableHorizontalRuleStandardDisplay

    public void setEnableHorizontalRuleStandardDisplay​(boolean enableHorizontalRuleStandardDisplay)
    Sets the enable horizontal rule standard display.
    Parameters:
      `enableHorizontalRuleStandardDisplay` - the new enable horizontal rule standard display

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getTextInsetMode

    public InsetMode getTextInsetMode()
    Gets the text inset mode.
    Returns:
      the text inset mode

  - ### setTextInsetMode

    public void setTextInsetMode​(InsetMode textInsetMode)
    Sets the text inset mode.
    Parameters:
      `textInsetMode` - the new text inset mode

  - ### isInsetBorderFromPath

    public boolean isInsetBorderFromPath()
    Checks if is inset border from path.
    Returns:
      true, if is inset border from path

  - ### setInsetBorderFromPath

    public void setInsetBorderFromPath​(boolean insetBorderFromPath)
    Sets the inset border from path.
    Parameters:
      `insetBorderFromPath` - the new inset border from path

  - ### isEmbeddedObject

    public boolean isEmbeddedObject()
    Checks if is embedded object.
    Returns:
      true, if is embedded object

  - ### setEmbeddedObject

    public void setEmbeddedObject​(boolean isEmbeddedObject)
    Sets the embedded object.
    Parameters:
      `isEmbeddedObject` - the new embedded object

  - ### isDisplayEmbeddedObjectAsIcon

    public boolean isDisplayEmbeddedObjectAsIcon()
    Checks if is display embedded object as icon.
    Returns:
      true, if is display embedded object as icon

  - ### setDisplayEmbeddedObjectAsIcon

    public void setDisplayEmbeddedObjectAsIcon​(boolean displayEmbeddedObjectAsIcon)
    Sets the display embedded object as icon.
    Parameters:
      `displayEmbeddedObjectAsIcon` - the new display embedded object as icon

  - ### isHideShapeHandle

    public boolean isHideShapeHandle()
    Checks if is hide shape handle.
    Returns:
      true, if is hide shape handle

  - ### setHideShapeHandle

    public void setHideShapeHandle​(boolean hideShapeHandle)
    Sets the hide shape handle.
    Parameters:
      `hideShapeHandle` - the new hide shape handle

  - ### getOpacity

    public String getOpacity()
    Gets the opacity.
    Returns:
      the opacity

  - ### setOpacity

    public void setOpacity​(String opacity)
    Sets the opacity.
    Parameters:
      `opacity` - the new opacity

  - ### isPreferRelativeResize

    public boolean isPreferRelativeResize()
    Checks if is prefer relative resize.
    Returns:
      true, if is prefer relative resize

  - ### setPreferRelativeResize

    public void setPreferRelativeResize​(boolean preferRelativeResize)
    Sets the prefer relative resize.
    Parameters:
      `preferRelativeResize` - the new prefer relative resize

  - ### isPrint

    public boolean isPrint()
    Checks if is prints the.
    Returns:
      true, if is prints the

  - ### setPrint

    public void setPrint​(boolean print)
    Sets the prints the.
    Parameters:
      `print` - the new prints the

  - ### getRegroupID

    public int getRegroupID()
    Gets the regroup id.
    Returns:
      the regroup id

  - ### setRegroupID

    public void setRegroupID​(int regroupID)
    Sets the regroup id.
    Parameters:
      `regroupID` - the new regroup id

  - ### getOptionalStringID

    public String getOptionalStringID()
    Gets the optional string id.
    Returns:
      the optional string id

  - ### setOptionalStringID

    public void setOptionalStringID​(String optionalStringID)
    Sets the optional string id.
    Parameters:
      `optionalStringID` - the new optional string id

  - ### getOptionalNumberID

    public double getOptionalNumberID()
    Gets the optional number id.
    Returns:
      the optional number id

  - ### setOptionalNumberID

    public void setOptionalNumberID​(double optionalNumberID)
    Sets the optional number id.
    Parameters:
      `optionalNumberID` - the new optional number id

  - ### getStrokeColor

    public String getStrokeColor()
    Gets the stroke color.
    Returns:
      the stroke color

  - ### setStrokeColor

    public void setStrokeColor​(String strokeColor)
    Sets the stroke color.
    Parameters:
      `strokeColor` - the new stroke color

  - ### isStroked

    public boolean isStroked()
    Checks if is stroked.
    Returns:
      true, if is stroked

  - ### setStroked

    public void setStroked​(boolean isStroked)
    Sets the stroked.
    Parameters:
      `isStroked` - the new stroked

  - ### getStrokeWeight

    public String getStrokeWeight()
    Gets the stroke weight.
    Returns:
      the stroke weight

  - ### setStrokeWeight

    public void setStrokeWeight​(String strokeWeight)
    Sets the stroke weight.
    Parameters:
      `strokeWeight` - the new stroke weight

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getTarget

    public String getTarget()
    Gets the target.
    Returns:
      the target

  - ### setTarget

    public void setTarget​(String target)
    Sets the target.
    Parameters:
      `target` - the new target

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### existsInMasterSlide

    public boolean existsInMasterSlide()
    Exists in master slide.
    Returns:
      true, if successful

  - ### setExistsInMasterSlide

    public void setExistsInMasterSlide​(boolean existsInMasterSlide)
    Sets the exists in master slide.
    Parameters:
      `existsInMasterSlide` - the new exists in master slide

  - ### isHideScriptAnchor

    public boolean isHideScriptAnchor()
    Checks if is hide script anchor.
    Returns:
      true, if is hide script anchor

  - ### setHideScriptAnchor

    public void setHideScriptAnchor​(boolean hideScriptAnchor)
    Sets the hide script anchor.
    Parameters:
      `hideScriptAnchor` - the new hide script anchor

  - ### getBoundingPolygon

    public String getBoundingPolygon()
    Gets the bounding polygon.
    Returns:
      the bounding polygon

  - ### setBoundingPolygon

    public void setBoundingPolygon​(String boundingPolygon)
    Sets the bounding polygon.
    Parameters:
      `boundingPolygon` - the new bounding polygon

  - ### getContent

    public List<IShapeElement> getContent()
    Gets the content.
    Returns:
      the content